/[CvsGraph]/cvsgraph/configure
ViewVC logotype

Annotate of /cvsgraph/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Revision Graph Revision Graph


Revision 1.5 - (show annotations)
Mon Mar 12 19:50:02 2001 UTC (16 years, 7 months ago) by bertho
Branch: MAIN
CVS Tags: REL_1_1_2, REL_1_1_3
Changes since 1.4: +96 -66 lines
Configure must be in sync with configure.in.
1 #! /bin/sh
2
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.13
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6 #
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
9
10 # Defaults:
11 ac_help=
12 ac_default_prefix=/usr/local
13 # Any additions from configure.in:
14 ac_help="$ac_help
15 --with-gd-inc=DIR location of the gd includes"
16 ac_help="$ac_help
17 --with-gd-lib=DIR location of the gd library"
18 ac_help="$ac_help
19 --with-z-inc=DIR location of zlib includes"
20 ac_help="$ac_help
21 --with-z-lib=DIR location of zlib library"
22 ac_help="$ac_help
23 --with-png-inc=DIR location of png includes"
24 ac_help="$ac_help
25 --with-png-lib=DIR location of png library"
26 ac_help="$ac_help
27 --with-jpeg-inc=DIR location of jpeg includes"
28 ac_help="$ac_help
29 --with-jpeg-lib=DIR location of jpeg library"
30 ac_help="$ac_help
31 --disable-speed Turn off lex table optimization reducing speed and size of executable"
32
33 # Initialize some variables set by options.
34 # The variables have the same names as the options, with
35 # dashes changed to underlines.
36 build=NONE
37 cache_file=./config.cache
38 exec_prefix=NONE
39 host=NONE
40 no_create=
41 nonopt=NONE
42 no_recursion=
43 prefix=NONE
44 program_prefix=NONE
45 program_suffix=NONE
46 program_transform_name=s,x,x,
47 silent=
48 site=
49 srcdir=
50 target=NONE
51 verbose=
52 x_includes=NONE
53 x_libraries=NONE
54 bindir='${exec_prefix}/bin'
55 sbindir='${exec_prefix}/sbin'
56 libexecdir='${exec_prefix}/libexec'
57 datadir='${prefix}/share'
58 sysconfdir='${prefix}/etc'
59 sharedstatedir='${prefix}/com'
60 localstatedir='${prefix}/var'
61 libdir='${exec_prefix}/lib'
62 includedir='${prefix}/include'
63 oldincludedir='/usr/include'
64 infodir='${prefix}/info'
65 mandir='${prefix}/man'
66
67 # Initialize some other variables.
68 subdirs=
69 MFLAGS= MAKEFLAGS=
70 SHELL=${CONFIG_SHELL-/bin/sh}
71 # Maximum number of lines to put in a shell here document.
72 ac_max_here_lines=12
73
74 ac_prev=
75 for ac_option
76 do
77
78 # If the previous option needs an argument, assign it.
79 if test -n "$ac_prev"; then
80 eval "$ac_prev=\$ac_option"
81 ac_prev=
82 continue
83 fi
84
85 case "$ac_option" in
86 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
87 *) ac_optarg= ;;
88 esac
89
90 # Accept the important Cygnus configure options, so we can diagnose typos.
91
92 case "$ac_option" in
93
94 -bindir | --bindir | --bindi | --bind | --bin | --bi)
95 ac_prev=bindir ;;
96 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
97 bindir="$ac_optarg" ;;
98
99 -build | --build | --buil | --bui | --bu)
100 ac_prev=build ;;
101 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
102 build="$ac_optarg" ;;
103
104 -cache-file | --cache-file | --cache-fil | --cache-fi \
105 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
106 ac_prev=cache_file ;;
107 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
108 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
109 cache_file="$ac_optarg" ;;
110
111 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
112 ac_prev=datadir ;;
113 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
114 | --da=*)
115 datadir="$ac_optarg" ;;
116
117 -disable-* | --disable-*)
118 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
119 # Reject names that are not valid shell variable names.
120 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
121 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
122 fi
123 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
124 eval "enable_${ac_feature}=no" ;;
125
126 -enable-* | --enable-*)
127 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
128 # Reject names that are not valid shell variable names.
129 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
130 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
131 fi
132 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
133 case "$ac_option" in
134 *=*) ;;
135 *) ac_optarg=yes ;;
136 esac
137 eval "enable_${ac_feature}='$ac_optarg'" ;;
138
139 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
140 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
141 | --exec | --exe | --ex)
142 ac_prev=exec_prefix ;;
143 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
144 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
145 | --exec=* | --exe=* | --ex=*)
146 exec_prefix="$ac_optarg" ;;
147
148 -gas | --gas | --ga | --g)
149 # Obsolete; use --with-gas.
150 with_gas=yes ;;
151
152 -help | --help | --hel | --he)
153 # Omit some internal or obsolete options to make the list less imposing.
154 # This message is too long to be a string in the A/UX 3.1 sh.
155 cat << EOF
156 Usage: configure [options] [host]
157 Options: [defaults in brackets after descriptions]
158 Configuration:
159 --cache-file=FILE cache test results in FILE
160 --help print this message
161 --no-create do not create output files
162 --quiet, --silent do not print \`checking...' messages
163 --version print the version of autoconf that created configure
164 Directory and file names:
165 --prefix=PREFIX install architecture-independent files in PREFIX
166 [$ac_default_prefix]
167 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
168 [same as prefix]
169 --bindir=DIR user executables in DIR [EPREFIX/bin]
170 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
171 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
172 --datadir=DIR read-only architecture-independent data in DIR
173 [PREFIX/share]
174 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
175 --sharedstatedir=DIR modifiable architecture-independent data in DIR
176 [PREFIX/com]
177 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
178 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
179 --includedir=DIR C header files in DIR [PREFIX/include]
180 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
181 --infodir=DIR info documentation in DIR [PREFIX/info]
182 --mandir=DIR man documentation in DIR [PREFIX/man]
183 --srcdir=DIR find the sources in DIR [configure dir or ..]
184 --program-prefix=PREFIX prepend PREFIX to installed program names
185 --program-suffix=SUFFIX append SUFFIX to installed program names
186 --program-transform-name=PROGRAM
187 run sed PROGRAM on installed program names
188 EOF
189 cat << EOF
190 Host type:
191 --build=BUILD configure for building on BUILD [BUILD=HOST]
192 --host=HOST configure for HOST [guessed]
193 --target=TARGET configure for TARGET [TARGET=HOST]
194 Features and packages:
195 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
196 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
197 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
198 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
199 --x-includes=DIR X include files are in DIR
200 --x-libraries=DIR X library files are in DIR
201 EOF
202 if test -n "$ac_help"; then
203 echo "--enable and --with options recognized:$ac_help"
204 fi
205 exit 0 ;;
206
207 -host | --host | --hos | --ho)
208 ac_prev=host ;;
209 -host=* | --host=* | --hos=* | --ho=*)
210 host="$ac_optarg" ;;
211
212 -includedir | --includedir | --includedi | --included | --include \
213 | --includ | --inclu | --incl | --inc)
214 ac_prev=includedir ;;
215 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
216 | --includ=* | --inclu=* | --incl=* | --inc=*)
217 includedir="$ac_optarg" ;;
218
219 -infodir | --infodir | --infodi | --infod | --info | --inf)
220 ac_prev=infodir ;;
221 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
222 infodir="$ac_optarg" ;;
223
224 -libdir | --libdir | --libdi | --libd)
225 ac_prev=libdir ;;
226 -libdir=* | --libdir=* | --libdi=* | --libd=*)
227 libdir="$ac_optarg" ;;
228
229 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
230 | --libexe | --libex | --libe)
231 ac_prev=libexecdir ;;
232 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
233 | --libexe=* | --libex=* | --libe=*)
234 libexecdir="$ac_optarg" ;;
235
236 -localstatedir | --localstatedir | --localstatedi | --localstated \
237 | --localstate | --localstat | --localsta | --localst \
238 | --locals | --local | --loca | --loc | --lo)
239 ac_prev=localstatedir ;;
240 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
241 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
242 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
243 localstatedir="$ac_optarg" ;;
244
245 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
246 ac_prev=mandir ;;
247 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
248 mandir="$ac_optarg" ;;
249
250 -nfp | --nfp | --nf)
251 # Obsolete; use --without-fp.
252 with_fp=no ;;
253
254 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
255 | --no-cr | --no-c)
256 no_create=yes ;;
257
258 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
259 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
260 no_recursion=yes ;;
261
262 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
263 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
264 | --oldin | --oldi | --old | --ol | --o)
265 ac_prev=oldincludedir ;;
266 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
267 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
268 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
269 oldincludedir="$ac_optarg" ;;
270
271 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
272 ac_prev=prefix ;;
273 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
274 prefix="$ac_optarg" ;;
275
276 -program-prefix | --program-prefix | --program-prefi | --program-pref \
277 | --program-pre | --program-pr | --program-p)
278 ac_prev=program_prefix ;;
279 -program-prefix=* | --program-prefix=* | --program-prefi=* \
280 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
281 program_prefix="$ac_optarg" ;;
282
283 -program-suffix | --program-suffix | --program-suffi | --program-suff \
284 | --program-suf | --program-su | --program-s)
285 ac_prev=program_suffix ;;
286 -program-suffix=* | --program-suffix=* | --program-suffi=* \
287 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
288 program_suffix="$ac_optarg" ;;
289
290 -program-transform-name | --program-transform-name \
291 | --program-transform-nam | --program-transform-na \
292 | --program-transform-n | --program-transform- \
293 | --program-transform | --program-transfor \
294 | --program-transfo | --program-transf \
295 | --program-trans | --program-tran \
296 | --progr-tra | --program-tr | --program-t)
297 ac_prev=program_transform_name ;;
298 -program-transform-name=* | --program-transform-name=* \
299 | --program-transform-nam=* | --program-transform-na=* \
300 | --program-transform-n=* | --program-transform-=* \
301 | --program-transform=* | --program-transfor=* \
302 | --program-transfo=* | --program-transf=* \
303 | --program-trans=* | --program-tran=* \
304 | --progr-tra=* | --program-tr=* | --program-t=*)
305 program_transform_name="$ac_optarg" ;;
306
307 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
308 | -silent | --silent | --silen | --sile | --sil)
309 silent=yes ;;
310
311 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
312 ac_prev=sbindir ;;
313 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
314 | --sbi=* | --sb=*)
315 sbindir="$ac_optarg" ;;
316
317 -sharedstatedir | --sharedstatedir | --sharedstatedi \
318 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
319 | --sharedst | --shareds | --shared | --share | --shar \
320 | --sha | --sh)
321 ac_prev=sharedstatedir ;;
322 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
323 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
324 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
325 | --sha=* | --sh=*)
326 sharedstatedir="$ac_optarg" ;;
327
328 -site | --site | --sit)
329 ac_prev=site ;;
330 -site=* | --site=* | --sit=*)
331 site="$ac_optarg" ;;
332
333 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
334 ac_prev=srcdir ;;
335 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
336 srcdir="$ac_optarg" ;;
337
338 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
339 | --syscon | --sysco | --sysc | --sys | --sy)
340 ac_prev=sysconfdir ;;
341 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
342 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
343 sysconfdir="$ac_optarg" ;;
344
345 -target | --target | --targe | --targ | --tar | --ta | --t)
346 ac_prev=target ;;
347 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
348 target="$ac_optarg" ;;
349
350 -v | -verbose | --verbose | --verbos | --verbo | --verb)
351 verbose=yes ;;
352
353 -version | --version | --versio | --versi | --vers)
354 echo "configure generated by autoconf version 2.13"
355 exit 0 ;;
356
357 -with-* | --with-*)
358 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
359 # Reject names that are not valid shell variable names.
360 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
361 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
362 fi
363 ac_package=`echo $ac_package| sed 's/-/_/g'`
364 case "$ac_option" in
365 *=*) ;;
366 *) ac_optarg=yes ;;
367 esac
368 eval "with_${ac_package}='$ac_optarg'" ;;
369
370 -without-* | --without-*)
371 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
372 # Reject names that are not valid shell variable names.
373 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
374 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
375 fi
376 ac_package=`echo $ac_package| sed 's/-/_/g'`
377 eval "with_${ac_package}=no" ;;
378
379 --x)
380 # Obsolete; use --with-x.
381 with_x=yes ;;
382
383 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
384 | --x-incl | --x-inc | --x-in | --x-i)
385 ac_prev=x_includes ;;
386 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
387 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
388 x_includes="$ac_optarg" ;;
389
390 -x-libraries | --x-libraries | --x-librarie | --x-librari \
391 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
392 ac_prev=x_libraries ;;
393 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
394 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
395 x_libraries="$ac_optarg" ;;
396
397 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
398 ;;
399
400 *)
401 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
402 echo "configure: warning: $ac_option: invalid host type" 1>&2
403 fi
404 if test "x$nonopt" != xNONE; then
405 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
406 fi
407 nonopt="$ac_option"
408 ;;
409
410 esac
411 done
412
413 if test -n "$ac_prev"; then
414 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
415 fi
416
417 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
418
419 # File descriptor usage:
420 # 0 standard input
421 # 1 file creation
422 # 2 errors and warnings
423 # 3 some systems may open it to /dev/tty
424 # 4 used on the Kubota Titan
425 # 6 checking for... messages and results
426 # 5 compiler messages saved in config.log
427 if test "$silent" = yes; then
428 exec 6>/dev/null
429 else
430 exec 6>&1
431 fi
432 exec 5>./config.log
433
434 echo "\
435 This file contains any messages produced by compilers while
436 running configure, to aid debugging if configure makes a mistake.
437 " 1>&5
438
439 # Strip out --no-create and --no-recursion so they do not pile up.
440 # Also quote any args containing shell metacharacters.
441 ac_configure_args=
442 for ac_arg
443 do
444 case "$ac_arg" in
445 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
446 | --no-cr | --no-c) ;;
447 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
448 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
449 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
450 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
451 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
452 esac
453 done
454
455 # NLS nuisances.
456 # Only set these to C if already set. These must not be set unconditionally
457 # because not all systems understand e.g. LANG=C (notably SCO).
458 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
459 # Non-C LC_CTYPE values break the ctype check.
460 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
461 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
462 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
463 if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
464
465 # confdefs.h avoids OS command line length limits that DEFS can exceed.
466 rm -rf conftest* confdefs.h
467 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
468 echo > confdefs.h
469
470 # A filename unique to this package, relative to the directory that
471 # configure is in, which we can look for to find out if srcdir is correct.
472 ac_unique_file=cvsgraph.c
473
474 # Find the source files, if location was not specified.
475 if test -z "$srcdir"; then
476 ac_srcdir_defaulted=yes
477 # Try the directory containing this script, then its parent.
478 ac_prog=$0
479 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
480 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
481 srcdir=$ac_confdir
482 if test ! -r $srcdir/$ac_unique_file; then
483 srcdir=..
484 fi
485 else
486 ac_srcdir_defaulted=no
487 fi
488 if test ! -r $srcdir/$ac_unique_file; then
489 if test "$ac_srcdir_defaulted" = yes; then
490 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
491 else
492 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
493 fi
494 fi
495 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
496
497 # Prefer explicitly selected file to automatically selected ones.
498 if test -z "$CONFIG_SITE"; then
499 if test "x$prefix" != xNONE; then
500 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
501 else
502 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
503 fi
504 fi
505 for ac_site_file in $CONFIG_SITE; do
506 if test -r "$ac_site_file"; then
507 echo "loading site script $ac_site_file"
508 . "$ac_site_file"
509 fi
510 done
511
512 if test -r "$cache_file"; then
513 echo "loading cache $cache_file"
514 . $cache_file
515 else
516 echo "creating cache $cache_file"
517 > $cache_file
518 fi
519
520 ac_ext=c
521 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
522 ac_cpp='$CPP $CPPFLAGS'
523 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
524 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
525 cross_compiling=$ac_cv_prog_cc_cross
526
527 ac_exeext=
528 ac_objext=o
529 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
530 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
531 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
532 ac_n= ac_c='
533 ' ac_t=' '
534 else
535 ac_n=-n ac_c= ac_t=
536 fi
537 else
538 ac_n= ac_c='\c' ac_t=
539 fi
540
541
542
543
544 # Extract the first word of "gcc", so it can be a program name with args.
545 set dummy gcc; ac_word=$2
546 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
547 echo "configure:548: checking for $ac_word" >&5
548 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
549 echo $ac_n "(cached) $ac_c" 1>&6
550 else
551 if test -n "$CC"; then
552 ac_cv_prog_CC="$CC" # Let the user override the test.
553 else
554 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
555 ac_dummy="$PATH"
556 for ac_dir in $ac_dummy; do
557 test -z "$ac_dir" && ac_dir=.
558 if test -f $ac_dir/$ac_word; then
559 ac_cv_prog_CC="gcc"
560 break
561 fi
562 done
563 IFS="$ac_save_ifs"
564 fi
565 fi
566 CC="$ac_cv_prog_CC"
567 if test -n "$CC"; then
568 echo "$ac_t""$CC" 1>&6
569 else
570 echo "$ac_t""no" 1>&6
571 fi
572
573 if test -z "$CC"; then
574 # Extract the first word of "cc", so it can be a program name with args.
575 set dummy cc; ac_word=$2
576 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
577 echo "configure:578: checking for $ac_word" >&5
578 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
579 echo $ac_n "(cached) $ac_c" 1>&6
580 else
581 if test -n "$CC"; then
582 ac_cv_prog_CC="$CC" # Let the user override the test.
583 else
584 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
585 ac_prog_rejected=no
586 ac_dummy="$PATH"
587 for ac_dir in $ac_dummy; do
588 test -z "$ac_dir" && ac_dir=.
589 if test -f $ac_dir/$ac_word; then
590 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
591 ac_prog_rejected=yes
592 continue
593 fi
594 ac_cv_prog_CC="cc"
595 break
596 fi
597 done
598 IFS="$ac_save_ifs"
599 if test $ac_prog_rejected = yes; then
600 # We found a bogon in the path, so make sure we never use it.
601 set dummy $ac_cv_prog_CC
602 shift
603 if test $# -gt 0; then
604 # We chose a different compiler from the bogus one.
605 # However, it has the same basename, so the bogon will be chosen
606 # first if we set CC to just the basename; use the full file name.
607 shift
608 set dummy "$ac_dir/$ac_word" "$@"
609 shift
610 ac_cv_prog_CC="$@"
611 fi
612 fi
613 fi
614 fi
615 CC="$ac_cv_prog_CC"
616 if test -n "$CC"; then
617 echo "$ac_t""$CC" 1>&6
618 else
619 echo "$ac_t""no" 1>&6
620 fi
621
622 if test -z "$CC"; then
623 case "`uname -s`" in
624 *win32* | *WIN32*)
625 # Extract the first word of "cl", so it can be a program name with args.
626 set dummy cl; ac_word=$2
627 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
628 echo "configure:629: checking for $ac_word" >&5
629 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
630 echo $ac_n "(cached) $ac_c" 1>&6
631 else
632 if test -n "$CC"; then
633 ac_cv_prog_CC="$CC" # Let the user override the test.
634 else
635 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
636 ac_dummy="$PATH"
637 for ac_dir in $ac_dummy; do
638 test -z "$ac_dir" && ac_dir=.
639 if test -f $ac_dir/$ac_word; then
640 ac_cv_prog_CC="cl"
641 break
642 fi
643 done
644 IFS="$ac_save_ifs"
645 fi
646 fi
647 CC="$ac_cv_prog_CC"
648 if test -n "$CC"; then
649 echo "$ac_t""$CC" 1>&6
650 else
651 echo "$ac_t""no" 1>&6
652 fi
653 ;;
654 esac
655 fi
656 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
657 fi
658
659 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
660 echo "configure:661: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
661
662 ac_ext=c
663 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
664 ac_cpp='$CPP $CPPFLAGS'
665 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
666 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
667 cross_compiling=$ac_cv_prog_cc_cross
668
669 cat > conftest.$ac_ext << EOF
670
671 #line 672 "configure"
672 #include "confdefs.h"
673
674 main(){return(0);}
675 EOF
676 if { (eval echo configure:677: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
677 ac_cv_prog_cc_works=yes
678 # If we can't run a trivial program, we are probably using a cross compiler.
679 if (./conftest; exit) 2>/dev/null; then
680 ac_cv_prog_cc_cross=no
681 else
682 ac_cv_prog_cc_cross=yes
683 fi
684 else
685 echo "configure: failed program was:" >&5
686 cat conftest.$ac_ext >&5
687 ac_cv_prog_cc_works=no
688 fi
689 rm -fr conftest*
690 ac_ext=c
691 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
692 ac_cpp='$CPP $CPPFLAGS'
693 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
694 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
695 cross_compiling=$ac_cv_prog_cc_cross
696
697 echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
698 if test $ac_cv_prog_cc_works = no; then
699 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
700 fi
701 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
702 echo "configure:703: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
703 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
704 cross_compiling=$ac_cv_prog_cc_cross
705
706 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
707 echo "configure:708: checking whether we are using GNU C" >&5
708 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
709 echo $ac_n "(cached) $ac_c" 1>&6
710 else
711 cat > conftest.c <<EOF
712 #ifdef __GNUC__
713 yes;
714 #endif
715 EOF
716 if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:717: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
717 ac_cv_prog_gcc=yes
718 else
719 ac_cv_prog_gcc=no
720 fi
721 fi
722
723 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
724
725 if test $ac_cv_prog_gcc = yes; then
726 GCC=yes
727 else
728 GCC=
729 fi
730
731 ac_test_CFLAGS="${CFLAGS+set}"
732 ac_save_CFLAGS="$CFLAGS"
733 CFLAGS=
734 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
735 echo "configure:736: checking whether ${CC-cc} accepts -g" >&5
736 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
737 echo $ac_n "(cached) $ac_c" 1>&6
738 else
739 echo 'void f(){}' > conftest.c
740 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
741 ac_cv_prog_cc_g=yes
742 else
743 ac_cv_prog_cc_g=no
744 fi
745 rm -f conftest*
746
747 fi
748
749 echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
750 if test "$ac_test_CFLAGS" = set; then
751 CFLAGS="$ac_save_CFLAGS"
752 elif test $ac_cv_prog_cc_g = yes; then
753 if test "$GCC" = yes; then
754 CFLAGS="-g -O2"
755 else
756 CFLAGS="-g"
757 fi
758 else
759 if test "$GCC" = yes; then
760 CFLAGS="-O2"
761 else
762 CFLAGS=
763 fi
764 fi
765
766 # Extract the first word of "flex", so it can be a program name with args.
767 set dummy flex; ac_word=$2
768 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
769 echo "configure:770: checking for $ac_word" >&5
770 if eval "test \"`echo '$''{'ac_cv_prog_LEX'+set}'`\" = set"; then
771 echo $ac_n "(cached) $ac_c" 1>&6
772 else
773 if test -n "$LEX"; then
774 ac_cv_prog_LEX="$LEX" # Let the user override the test.
775 else
776 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
777 ac_dummy="$PATH"
778 for ac_dir in $ac_dummy; do
779 test -z "$ac_dir" && ac_dir=.
780 if test -f $ac_dir/$ac_word; then
781 ac_cv_prog_LEX="flex"
782 break
783 fi
784 done
785 IFS="$ac_save_ifs"
786 test -z "$ac_cv_prog_LEX" && ac_cv_prog_LEX="lex"
787 fi
788 fi
789 LEX="$ac_cv_prog_LEX"
790 if test -n "$LEX"; then
791 echo "$ac_t""$LEX" 1>&6
792 else
793 echo "$ac_t""no" 1>&6
794 fi
795
796 if test -z "$LEXLIB"
797 then
798 case "$LEX" in
799 flex*) ac_lib=fl ;;
800 *) ac_lib=l ;;
801 esac
802 echo $ac_n "checking for yywrap in -l$ac_lib""... $ac_c" 1>&6
803 echo "configure:804: checking for yywrap in -l$ac_lib" >&5
804 ac_lib_var=`echo $ac_lib'_'yywrap | sed 'y%./+-%__p_%'`
805 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
806 echo $ac_n "(cached) $ac_c" 1>&6
807 else
808 ac_save_LIBS="$LIBS"
809 LIBS="-l$ac_lib $LIBS"
810 cat > conftest.$ac_ext <<EOF
811 #line 812 "configure"
812 #include "confdefs.h"
813 /* Override any gcc2 internal prototype to avoid an error. */
814 /* We use char because int might match the return type of a gcc2
815 builtin and then its argument prototype would still apply. */
816 char yywrap();
817
818 int main() {
819 yywrap()
820 ; return 0; }
821 EOF
822 if { (eval echo configure:823: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
823 rm -rf conftest*
824 eval "ac_cv_lib_$ac_lib_var=yes"
825 else
826 echo "configure: failed program was:" >&5
827 cat conftest.$ac_ext >&5
828 rm -rf conftest*
829 eval "ac_cv_lib_$ac_lib_var=no"
830 fi
831 rm -f conftest*
832 LIBS="$ac_save_LIBS"
833
834 fi
835 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
836 echo "$ac_t""yes" 1>&6
837 LEXLIB="-l$ac_lib"
838 else
839 echo "$ac_t""no" 1>&6
840 fi
841
842 fi
843
844 for ac_prog in 'bison -y' byacc
845 do
846 # Extract the first word of "$ac_prog", so it can be a program name with args.
847 set dummy $ac_prog; ac_word=$2
848 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
849 echo "configure:850: checking for $ac_word" >&5
850 if eval "test \"`echo '$''{'ac_cv_prog_YACC'+set}'`\" = set"; then
851 echo $ac_n "(cached) $ac_c" 1>&6
852 else
853 if test -n "$YACC"; then
854 ac_cv_prog_YACC="$YACC" # Let the user override the test.
855 else
856 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
857 ac_dummy="$PATH"
858 for ac_dir in $ac_dummy; do
859 test -z "$ac_dir" && ac_dir=.
860 if test -f $ac_dir/$ac_word; then
861 ac_cv_prog_YACC="$ac_prog"
862 break
863 fi
864 done
865 IFS="$ac_save_ifs"
866 fi
867 fi
868 YACC="$ac_cv_prog_YACC"
869 if test -n "$YACC"; then
870 echo "$ac_t""$YACC" 1>&6
871 else
872 echo "$ac_t""no" 1>&6
873 fi
874
875 test -n "$YACC" && break
876 done
877 test -n "$YACC" || YACC="yacc"
878
879
880 LEXFLAGS="-8"
881 LEXSPEED="-Cf"
882 INCL=""
883
884 # Check whether --with-gd-inc or --without-gd-inc was given.
885 if test "${with_gd_inc+set}" = set; then
886 withval="$with_gd_inc"
887 INCL="${INCL} -I${withval}"
888
889 fi
890
891
892 # Check whether --with-gd-lib or --without-gd-lib was given.
893 if test "${with_gd_lib+set}" = set; then
894 withval="$with_gd_lib"
895 LIBS="${LIBS} -L${withval}"
896
897 fi
898
899
900 LIBS="$LIBS -lgd"
901
902 # Check whether --with-z-inc or --without-z-inc was given.
903 if test "${with_z_inc+set}" = set; then
904 withval="$with_z_inc"
905 INCL="${INCL} -I${withval}"
906
907 fi
908
909
910 # Check whether --with-z-lib or --without-z-lib was given.
911 if test "${with_z_lib+set}" = set; then
912 withval="$with_z_lib"
913 LIBS="${LIBS} -L${withval} -lz"
914
915 fi
916
917
918 # Check whether --with-png-inc or --without-png-inc was given.
919 if test "${with_png_inc+set}" = set; then
920 withval="$with_png_inc"
921 INCL="${INCL} -I${withval}"
922
923 fi
924
925
926 # Check whether --with-png-lib or --without-png-lib was given.
927 if test "${with_png_lib+set}" = set; then
928 withval="$with_png_lib"
929 LIBS="${LIBS} -L${withval} -lpng"
930
931 fi
932
933
934 # Check whether --with-jpeg-inc or --without-jpeg-inc was given.
935 if test "${with_jpeg_inc+set}" = set; then
936 withval="$with_jpeg_inc"
937 INCL="${INCL} -I${withval}"
938
939 fi
940
941
942 # Check whether --with-jpeg-lib or --without-jpeg-lib was given.
943 if test "${with_jpeg_lib+set}" = set; then
944 withval="$with_jpeg_lib"
945 LIBS="${LIBS} -L${withval} -ljpeg"
946
947 fi
948
949
950 # Check whether --enable-speed or --disable-speed was given.
951 if test "${enable_speed+set}" = set; then
952 enableval="$enable_speed"
953 if test "$enableval" = "no"; then LEXSPEED=""; fi
954 fi
955
956
957 if test "x$LEXSPEED" != "x"
958 then
959 LEXFLAGS="$LEXFLAGS $LEXSPEED"
960 fi
961
962 CPPFLAGS="$CPPFLAGS $INCL"
963 CFLAGS="$CFLAGS $INCL"
964
965 if test "x${GCC}" = "xyes"
966 then
967 CFLAGS="$CFLAGS -Wall"
968 echo $ac_n "checking "for gcc strength-reduce bug"""... $ac_c" 1>&6
969 echo "configure:970: checking "for gcc strength-reduce bug"" >&5
970 if eval "test \"`echo '$''{'ac_cv_c_gcc_strength_bug'+set}'`\" = set"; then
971 echo $ac_n "(cached) $ac_c" 1>&6
972 else
973 if test "$cross_compiling" = yes; then
974 ac_cv_c_gcc_strength_bug="yes"
975 else
976 cat > conftest.$ac_ext <<EOF
977 #line 978 "configure"
978 #include "confdefs.h"
979
980 int main(void) {
981 static int Array[3];
982 unsigned int B = 3;
983 int i;
984 for(i=0; i<B; i++) Array[i] = i - 3;
985 exit( Array[1] != -2 );
986 }
987 EOF
988 if { (eval echo configure:989: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
989 then
990 ac_cv_c_gcc_strength_bug="no"
991 else
992 echo "configure: failed program was:" >&5
993 cat conftest.$ac_ext >&5
994 rm -fr conftest*
995 ac_cv_c_gcc_strength_bug="yes"
996 fi
997 rm -fr conftest*
998 fi
999
1000 fi
1001
1002 echo "$ac_t""$ac_cv_c_gcc_strength_bug" 1>&6
1003 if test "$ac_cv_c_gcc_strength_bug" = "yes"
1004 then
1005 CFLAGS="$CFLAGS -fno-strength-reduce"
1006 fi
1007 fi
1008
1009
1010 echo $ac_n "checking for sqrt in -lm""... $ac_c" 1>&6
1011 echo "configure:1012: checking for sqrt in -lm" >&5
1012 ac_lib_var=`echo m'_'sqrt | sed 'y%./+-%__p_%'`
1013 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1014 echo $ac_n "(cached) $ac_c" 1>&6
1015 else
1016 ac_save_LIBS="$LIBS"
1017 LIBS="-lm $LIBS"
1018 cat > conftest.$ac_ext <<EOF
1019 #line 1020 "configure"
1020 #include "confdefs.h"
1021 /* Override any gcc2 internal prototype to avoid an error. */
1022 /* We use char because int might match the return type of a gcc2
1023 builtin and then its argument prototype would still apply. */
1024 char sqrt();
1025
1026 int main() {
1027 sqrt()
1028 ; return 0; }
1029 EOF
1030 if { (eval echo configure:1031: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1031 rm -rf conftest*
1032 eval "ac_cv_lib_$ac_lib_var=yes"
1033 else
1034 echo "configure: failed program was:" >&5
1035 cat conftest.$ac_ext >&5
1036 rm -rf conftest*
1037 eval "ac_cv_lib_$ac_lib_var=no"
1038 fi
1039 rm -f conftest*
1040 LIBS="$ac_save_LIBS"
1041
1042 fi
1043 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1044 echo "$ac_t""yes" 1>&6
1045
1046 cat >> confdefs.h <<\EOF
1047 #define LIBM 1
1048 EOF
1049
1050 MATHLIBS="-lm"
1051 else
1052 echo "$ac_t""no" 1>&6
1053 fi
1054
1055
1056 echo $ac_n "checking for gdImageGif in -lgd""... $ac_c" 1>&6
1057 echo "configure:1058: checking for gdImageGif in -lgd" >&5
1058 ac_lib_var=`echo gd'_'gdImageGif | sed 'y%./+-%__p_%'`
1059 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1060 echo $ac_n "(cached) $ac_c" 1>&6
1061 else
1062 ac_save_LIBS="$LIBS"
1063 LIBS="-lgd $LIBS"
1064 cat > conftest.$ac_ext <<EOF
1065 #line 1066 "configure"
1066 #include "confdefs.h"
1067 /* Override any gcc2 internal prototype to avoid an error. */
1068 /* We use char because int might match the return type of a gcc2
1069 builtin and then its argument prototype would still apply. */
1070 char gdImageGif();
1071
1072 int main() {
1073 gdImageGif()
1074 ; return 0; }
1075 EOF
1076 if { (eval echo configure:1077: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1077 rm -rf conftest*
1078 eval "ac_cv_lib_$ac_lib_var=yes"
1079 else
1080 echo "configure: failed program was:" >&5
1081 cat conftest.$ac_ext >&5
1082 rm -rf conftest*
1083 eval "ac_cv_lib_$ac_lib_var=no"
1084 fi
1085 rm -f conftest*
1086 LIBS="$ac_save_LIBS"
1087
1088 fi
1089 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1090 echo "$ac_t""yes" 1>&6
1091
1092 cat >> confdefs.h <<\EOF
1093 #define HAVE_IMAGE_GIF 1
1094 EOF
1095
1096
1097 else
1098 echo "$ac_t""no" 1>&6
1099 fi
1100
1101 echo $ac_n "checking for gdImagePng in -lgd""... $ac_c" 1>&6
1102 echo "configure:1103: checking for gdImagePng in -lgd" >&5
1103 ac_lib_var=`echo gd'_'gdImagePng | sed 'y%./+-%__p_%'`
1104 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1105 echo $ac_n "(cached) $ac_c" 1>&6
1106 else
1107 ac_save_LIBS="$LIBS"
1108 LIBS="-lgd $LIBS"
1109 cat > conftest.$ac_ext <<EOF
1110 #line 1111 "configure"
1111 #include "confdefs.h"
1112 /* Override any gcc2 internal prototype to avoid an error. */
1113 /* We use char because int might match the return type of a gcc2
1114 builtin and then its argument prototype would still apply. */
1115 char gdImagePng();
1116
1117 int main() {
1118 gdImagePng()
1119 ; return 0; }
1120 EOF
1121 if { (eval echo configure:1122: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1122 rm -rf conftest*
1123 eval "ac_cv_lib_$ac_lib_var=yes"
1124 else
1125 echo "configure: failed program was:" >&5
1126 cat conftest.$ac_ext >&5
1127 rm -rf conftest*
1128 eval "ac_cv_lib_$ac_lib_var=no"
1129 fi
1130 rm -f conftest*
1131 LIBS="$ac_save_LIBS"
1132
1133 fi
1134 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1135 echo "$ac_t""yes" 1>&6
1136
1137 cat >> confdefs.h <<\EOF
1138 #define HAVE_IMAGE_PNG 1
1139 EOF
1140
1141
1142 else
1143 echo "$ac_t""no" 1>&6
1144 fi
1145
1146 echo $ac_n "checking for gdImageJpeg in -lgd""... $ac_c" 1>&6
1147 echo "configure:1148: checking for gdImageJpeg in -lgd" >&5
1148 ac_lib_var=`echo gd'_'gdImageJpeg | sed 'y%./+-%__p_%'`
1149 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1150 echo $ac_n "(cached) $ac_c" 1>&6
1151 else
1152 ac_save_LIBS="$LIBS"
1153 LIBS="-lgd $LIBS"
1154 cat > conftest.$ac_ext <<EOF
1155 #line 1156 "configure"
1156 #include "confdefs.h"
1157 /* Override any gcc2 internal prototype to avoid an error. */
1158 /* We use char because int might match the return type of a gcc2
1159 builtin and then its argument prototype would still apply. */
1160 char gdImageJpeg();
1161
1162 int main() {
1163 gdImageJpeg()
1164 ; return 0; }
1165 EOF
1166 if { (eval echo configure:1167: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1167 rm -rf conftest*
1168 eval "ac_cv_lib_$ac_lib_var=yes"
1169 else
1170 echo "configure: failed program was:" >&5
1171 cat conftest.$ac_ext >&5
1172 rm -rf conftest*
1173 eval "ac_cv_lib_$ac_lib_var=no"
1174 fi
1175 rm -f conftest*
1176 LIBS="$ac_save_LIBS"
1177
1178 fi
1179 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1180 echo "$ac_t""yes" 1>&6
1181
1182 cat >> confdefs.h <<\EOF
1183 #define HAVE_IMAGE_JPEG 1
1184 EOF
1185
1186
1187 else
1188 echo "$ac_t""no" 1>&6
1189 fi
1190
1191
1192
1193 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
1194 echo "configure:1195: checking how to run the C preprocessor" >&5
1195 # On Suns, sometimes $CPP names a directory.
1196 if test -n "$CPP" && test -d "$CPP"; then
1197 CPP=
1198 fi
1199 if test -z "$CPP"; then
1200 if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
1201 echo $ac_n "(cached) $ac_c" 1>&6
1202 else
1203 # This must be in double quotes, not single quotes, because CPP may get
1204 # substituted into the Makefile and "${CC-cc}" will confuse make.
1205 CPP="${CC-cc} -E"
1206 # On the NeXT, cc -E runs the code through the compiler's parser,
1207 # not just through cpp.
1208 cat > conftest.$ac_ext <<EOF
1209 #line 1210 "configure"
1210 #include "confdefs.h"
1211 #include <assert.h>
1212 Syntax Error
1213 EOF
1214 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1215 { (eval echo configure:1216: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1216 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1217 if test -z "$ac_err"; then
1218 :
1219 else
1220 echo "$ac_err" >&5
1221 echo "configure: failed program was:" >&5
1222 cat conftest.$ac_ext >&5
1223 rm -rf conftest*
1224 CPP="${CC-cc} -E -traditional-cpp"
1225 cat > conftest.$ac_ext <<EOF
1226 #line 1227 "configure"
1227 #include "confdefs.h"
1228 #include <assert.h>
1229 Syntax Error
1230 EOF
1231 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1232 { (eval echo configure:1233: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1233 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1234 if test -z "$ac_err"; then
1235 :
1236 else
1237 echo "$ac_err" >&5
1238 echo "configure: failed program was:" >&5
1239 cat conftest.$ac_ext >&5
1240 rm -rf conftest*
1241 CPP="${CC-cc} -nologo -E"
1242 cat > conftest.$ac_ext <<EOF
1243 #line 1244 "configure"
1244 #include "confdefs.h"
1245 #include <assert.h>
1246 Syntax Error
1247 EOF
1248 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1249 { (eval echo configure:1250: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1250 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1251 if test -z "$ac_err"; then
1252 :
1253 else
1254 echo "$ac_err" >&5
1255 echo "configure: failed program was:" >&5
1256 cat conftest.$ac_ext >&5
1257 rm -rf conftest*
1258 CPP=/lib/cpp
1259 fi
1260 rm -f conftest*
1261 fi
1262 rm -f conftest*
1263 fi
1264 rm -f conftest*
1265 ac_cv_prog_CPP="$CPP"
1266 fi
1267 CPP="$ac_cv_prog_CPP"
1268 else
1269 ac_cv_prog_CPP="$CPP"
1270 fi
1271 echo "$ac_t""$CPP" 1>&6
1272
1273 ac_safe=`echo "gd.h" | sed 'y%./+-%__p_%'`
1274 echo $ac_n "checking for gd.h""... $ac_c" 1>&6
1275 echo "configure:1276: checking for gd.h" >&5
1276 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1277 echo $ac_n "(cached) $ac_c" 1>&6
1278 else
1279 cat > conftest.$ac_ext <<EOF
1280 #line 1281 "configure"
1281 #include "confdefs.h"
1282 #include <gd.h>
1283 EOF
1284 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1285 { (eval echo configure:1286: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1286 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1287 if test -z "$ac_err"; then
1288 rm -rf conftest*
1289 eval "ac_cv_header_$ac_safe=yes"
1290 else
1291 echo "$ac_err" >&5
1292 echo "configure: failed program was:" >&5
1293 cat conftest.$ac_ext >&5
1294 rm -rf conftest*
1295 eval "ac_cv_header_$ac_safe=no"
1296 fi
1297 rm -f conftest*
1298 fi
1299 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1300 echo "$ac_t""yes" 1>&6
1301 have_gd_h="yes"
1302 else
1303 echo "$ac_t""no" 1>&6
1304 have_gd_h="no"
1305 fi
1306
1307
1308 if test $have_gd_h != "yes"; then
1309 echo
1310 echo "** The GD library is required for CvsGraph to function."
1311 echo " Get it from http://www.boutell.com, compile it and"
1312 echo " use either --with-gd-lib=DIR and --with-gd-inc=DIR to specify"
1313 echo " its location. You might also have to use --with-z-inc, --with-z-lib"
1314 echo " and --with-png-inc, --with-png-lib for gd versions 1.6 and higher."
1315 echo " Check config.log for more information on the problem. If your system"
1316 echo " has libgd installed, you probably mis the gd.h header file."
1317 exit 1
1318 fi
1319
1320
1321
1322 trap '' 1 2 15
1323 cat > confcache <<\EOF
1324 # This file is a shell script that caches the results of configure
1325 # tests run on this system so they can be shared between configure
1326 # scripts and configure runs. It is not useful on other systems.
1327 # If it contains results you don't want to keep, you may remove or edit it.
1328 #
1329 # By default, configure uses ./config.cache as the cache file,
1330 # creating it if it does not exist already. You can give configure
1331 # the --cache-file=FILE option to use a different cache file; that is
1332 # what configure does when it calls configure scripts in
1333 # subdirectories, so they share the cache.
1334 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1335 # config.status only pays attention to the cache file if you give it the
1336 # --recheck option to rerun configure.
1337 #
1338 EOF
1339 # The following way of writing the cache mishandles newlines in values,
1340 # but we know of no workaround that is simple, portable, and efficient.
1341 # So, don't put newlines in cache variables' values.
1342 # Ultrix sh set writes to stderr and can't be redirected directly,
1343 # and sets the high bit in the cache file unless we assign to the vars.
1344 (set) 2>&1 |
1345 case `(ac_space=' '; set | grep ac_space) 2>&1` in
1346 *ac_space=\ *)
1347 # `set' does not quote correctly, so add quotes (double-quote substitution
1348 # turns \\\\ into \\, and sed turns \\ into \).
1349 sed -n \
1350 -e "s/'/'\\\\''/g" \
1351 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1352 ;;
1353 *)
1354 # `set' quotes correctly as required by POSIX, so do not add quotes.
1355 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1356 ;;
1357 esac >> confcache
1358 if cmp -s $cache_file confcache; then
1359 :
1360 else
1361 if test -w $cache_file; then
1362 echo "updating cache $cache_file"
1363 cat confcache > $cache_file
1364 else
1365 echo "not updating unwritable cache $cache_file"
1366 fi
1367 fi
1368 rm -f confcache
1369
1370 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1371
1372 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1373 # Let make expand exec_prefix.
1374 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1375
1376 # Any assignment to VPATH causes Sun make to only execute
1377 # the first set of double-colon rules, so remove it if not needed.
1378 # If there is a colon in the path, we need to keep it.
1379 if test "x$srcdir" = x.; then
1380 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1381 fi
1382
1383 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1384
1385 DEFS=-DHAVE_CONFIG_H
1386
1387 # Without the "./", some shells look in PATH for config.status.
1388 : ${CONFIG_STATUS=./config.status}
1389
1390 echo creating $CONFIG_STATUS
1391 rm -f $CONFIG_STATUS
1392 cat > $CONFIG_STATUS <<EOF
1393 #! /bin/sh
1394 # Generated automatically by configure.
1395 # Run this file to recreate the current configuration.
1396 # This directory was configured as follows,
1397 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1398 #
1399 # $0 $ac_configure_args
1400 #
1401 # Compiler output produced by configure, useful for debugging
1402 # configure, is in ./config.log if it exists.
1403
1404 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1405 for ac_option
1406 do
1407 case "\$ac_option" in
1408 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1409 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1410 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1411 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1412 echo "$CONFIG_STATUS generated by autoconf version 2.13"
1413 exit 0 ;;
1414 -help | --help | --hel | --he | --h)
1415 echo "\$ac_cs_usage"; exit 0 ;;
1416 *) echo "\$ac_cs_usage"; exit 1 ;;
1417 esac
1418 done
1419
1420 ac_given_srcdir=$srcdir
1421
1422 trap 'rm -fr `echo "Makefile config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1423 EOF
1424 cat >> $CONFIG_STATUS <<EOF
1425
1426 # Protect against being on the right side of a sed subst in config.status.
1427 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1428 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1429 $ac_vpsub
1430 $extrasub
1431 s%@SHELL@%$SHELL%g
1432 s%@CFLAGS@%$CFLAGS%g
1433 s%@CPPFLAGS@%$CPPFLAGS%g
1434 s%@CXXFLAGS@%$CXXFLAGS%g
1435 s%@FFLAGS@%$FFLAGS%g
1436 s%@DEFS@%$DEFS%g
1437 s%@LDFLAGS@%$LDFLAGS%g
1438 s%@LIBS@%$LIBS%g
1439 s%@exec_prefix@%$exec_prefix%g
1440 s%@prefix@%$prefix%g
1441 s%@program_transform_name@%$program_transform_name%g
1442 s%@bindir@%$bindir%g
1443 s%@sbindir@%$sbindir%g
1444 s%@libexecdir@%$libexecdir%g
1445 s%@datadir@%$datadir%g
1446 s%@sysconfdir@%$sysconfdir%g
1447 s%@sharedstatedir@%$sharedstatedir%g
1448 s%@localstatedir@%$localstatedir%g
1449 s%@libdir@%$libdir%g
1450 s%@includedir@%$includedir%g
1451 s%@oldincludedir@%$oldincludedir%g
1452 s%@infodir@%$infodir%g
1453 s%@mandir@%$mandir%g
1454 s%@CC@%$CC%g
1455 s%@LEX@%$LEX%g
1456 s%@LEXLIB@%$LEXLIB%g
1457 s%@YACC@%$YACC%g
1458 s%@CPP@%$CPP%g
1459 s%@LEXFLAGS@%$LEXFLAGS%g
1460
1461 CEOF
1462 EOF
1463
1464 cat >> $CONFIG_STATUS <<\EOF
1465
1466 # Split the substitutions into bite-sized pieces for seds with
1467 # small command number limits, like on Digital OSF/1 and HP-UX.
1468 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1469 ac_file=1 # Number of current file.
1470 ac_beg=1 # First line for current file.
1471 ac_end=$ac_max_sed_cmds # Line after last line for current file.
1472 ac_more_lines=:
1473 ac_sed_cmds=""
1474 while $ac_more_lines; do
1475 if test $ac_beg -gt 1; then
1476 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1477 else
1478 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1479 fi
1480 if test ! -s conftest.s$ac_file; then
1481 ac_more_lines=false
1482 rm -f conftest.s$ac_file
1483 else
1484 if test -z "$ac_sed_cmds"; then
1485 ac_sed_cmds="sed -f conftest.s$ac_file"
1486 else
1487 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1488 fi
1489 ac_file=`expr $ac_file + 1`
1490 ac_beg=$ac_end
1491 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1492 fi
1493 done
1494 if test -z "$ac_sed_cmds"; then
1495 ac_sed_cmds=cat
1496 fi
1497 EOF
1498
1499 cat >> $CONFIG_STATUS <<EOF
1500
1501 CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1502 EOF
1503 cat >> $CONFIG_STATUS <<\EOF
1504 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1505 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1506 case "$ac_file" in
1507 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1508 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1509 *) ac_file_in="${ac_file}.in" ;;
1510 esac
1511
1512 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1513
1514 # Remove last slash and all that follows it. Not all systems have dirname.
1515 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1516 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1517 # The file is in a subdirectory.
1518 test ! -d "$ac_dir" && mkdir "$ac_dir"
1519 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1520 # A "../" for each directory in $ac_dir_suffix.
1521 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1522 else
1523 ac_dir_suffix= ac_dots=
1524 fi
1525
1526 case "$ac_given_srcdir" in
1527 .) srcdir=.
1528 if test -z "$ac_dots"; then top_srcdir=.
1529 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1530 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1531 *) # Relative path.
1532 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1533 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1534 esac
1535
1536
1537 echo creating "$ac_file"
1538 rm -f "$ac_file"
1539 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1540 case "$ac_file" in
1541 *Makefile*) ac_comsub="1i\\
1542 # $configure_input" ;;
1543 *) ac_comsub= ;;
1544 esac
1545
1546 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1547 sed -e "$ac_comsub
1548 s%@configure_input@%$configure_input%g
1549 s%@srcdir@%$srcdir%g
1550 s%@top_srcdir@%$top_srcdir%g
1551 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1552 fi; done
1553 rm -f conftest.s*
1554
1555 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1556 # NAME is the cpp macro being defined and VALUE is the value it is being given.
1557 #
1558 # ac_d sets the value in "#define NAME VALUE" lines.
1559 ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
1560 ac_dB='\([ ][ ]*\)[^ ]*%\1#\2'
1561 ac_dC='\3'
1562 ac_dD='%g'
1563 # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1564 ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1565 ac_uB='\([ ]\)%\1#\2define\3'
1566 ac_uC=' '
1567 ac_uD='\4%g'
1568 # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1569 ac_eA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1570 ac_eB='$%\1#\2define\3'
1571 ac_eC=' '
1572 ac_eD='%g'
1573
1574 if test "${CONFIG_HEADERS+set}" != set; then
1575 EOF
1576 cat >> $CONFIG_STATUS <<EOF
1577 CONFIG_HEADERS="config.h"
1578 EOF
1579 cat >> $CONFIG_STATUS <<\EOF
1580 fi
1581 for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1582 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1583 case "$ac_file" in
1584 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1585 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1586 *) ac_file_in="${ac_file}.in" ;;
1587 esac
1588
1589 echo creating $ac_file
1590
1591 rm -f conftest.frag conftest.in conftest.out
1592 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1593 cat $ac_file_inputs > conftest.in
1594
1595 EOF
1596
1597 # Transform confdefs.h into a sed script conftest.vals that substitutes
1598 # the proper values into config.h.in to produce config.h. And first:
1599 # Protect against being on the right side of a sed subst in config.status.
1600 # Protect against being in an unquoted here document in config.status.
1601 rm -f conftest.vals
1602 cat > conftest.hdr <<\EOF
1603 s/[\\&%]/\\&/g
1604 s%[\\$`]%\\&%g
1605 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1606 s%ac_d%ac_u%gp
1607 s%ac_u%ac_e%gp
1608 EOF
1609 sed -n -f conftest.hdr confdefs.h > conftest.vals
1610 rm -f conftest.hdr
1611
1612 # This sed command replaces #undef with comments. This is necessary, for
1613 # example, in the case of _POSIX_SOURCE, which is predefined and required
1614 # on some systems where configure will not decide to define it.
1615 cat >> conftest.vals <<\EOF
1616 s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1617 EOF
1618
1619 # Break up conftest.vals because some shells have a limit on
1620 # the size of here documents, and old seds have small limits too.
1621
1622 rm -f conftest.tail
1623 while :
1624 do
1625 ac_lines=`grep -c . conftest.vals`
1626 # grep -c gives empty output for an empty file on some AIX systems.
1627 if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1628 # Write a limited-size here document to conftest.frag.
1629 echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1630 sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1631 echo 'CEOF
1632 sed -f conftest.frag conftest.in > conftest.out
1633 rm -f conftest.in
1634 mv conftest.out conftest.in
1635 ' >> $CONFIG_STATUS
1636 sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1637 rm -f conftest.vals
1638 mv conftest.tail conftest.vals
1639 done
1640 rm -f conftest.vals
1641
1642 cat >> $CONFIG_STATUS <<\EOF
1643 rm -f conftest.frag conftest.h
1644 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
1645 cat conftest.in >> conftest.h
1646 rm -f conftest.in
1647 if cmp -s $ac_file conftest.h 2>/dev/null; then
1648 echo "$ac_file is unchanged"
1649 rm -f conftest.h
1650 else
1651 # Remove last slash and all that follows it. Not all systems have dirname.
1652 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1653 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1654 # The file is in a subdirectory.
1655 test ! -d "$ac_dir" && mkdir "$ac_dir"
1656 fi
1657 rm -f $ac_file
1658 mv conftest.h $ac_file
1659 fi
1660 fi; done
1661
1662 EOF
1663 cat >> $CONFIG_STATUS <<EOF
1664
1665 EOF
1666 cat >> $CONFIG_STATUS <<\EOF
1667
1668 exit 0
1669 EOF
1670 chmod +x $CONFIG_STATUS
1671 rm -fr confdefs* $ac_clean_files
1672 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1673
1674
1675 echo "Configure done. Run 'make' to build CvsGraph"
1676

  ViewVC Help
Powered by ViewVC 1.1.0 with CvsGraph 1.7.0